ProgramFile

! Set Default SPEEDs and ACCELs
SPEED_PTP       20.0000 0
ACCEL_PTP       40.0000
ACCEL_PTP_END    40.0000
SPEED_CP         0.1000
ACCEL_CP         0.2000
ACCEL_CP_END     0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
ACCEL_ORI_END    40.0000
! ---------

ERC COLLISION ON
ERC RED_BLUE_COLLISION OFF
ERC TAG_TEXT OFF

call init_all()
call move_agv_1()

call rob_1_pick_wg()
call rob_2_pick_wg()

ERC LOAD VIEW pcarweld_1.vie

ERC CURRENT_DEVICE SET DB500
PTP P_R1_1_a
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#2
PTP P_R1_5_a
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500
PTP P_R1_1
call do_weld_1()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#2
PTP P_R1_5
call do_weld_2()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500
PTP P_R1_2
call do_weld_1()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#2
PTP P_R1_6
call do_weld_2()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500
PTP P_R1_3
call do_weld_1()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#2
PTP P_R1_7
call do_weld_2()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500
PTP P_R1_4
call do_weld_1()
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#2
PTP P_R1_8
call do_weld_2()
ERC CURRENT_DEVICE UNSET
ERC LOAD VIEW pcarweld_0.vie

call rob_1_drop_wg()
call rob_2_drop_wg()

ERC CURRENT_DEVICE SET DB500
Home 1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#2
Home 1
ERC CURRENT_DEVICE UNSET

call move_agv_2()

ERC COLLISION OFF
EndProgramFile

!-------------------------------
!initialize all
!-------------------------------
fct init_all()
ERC LOAD VIEW pcarweld_0.vie
endfct

!-------------------------------
!AGV moves to the working position
!-------------------------------
fct move_agv_1()
! Set Default SPEEDs and ACCELs
ERC CURRENT_DEVICE SET AGV
SPEED_CP  0.50 0.50
SPEED_ORI  50  0
LIN AGV_2
SPEED_CP_END 0
ZONE             0.0000
LIN AGV_3
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!AGV moves away
!-------------------------------
fct move_agv_2()
! Set Default SPEEDs and ACCELs
ERC CURRENT_DEVICE SET AGV
SPEED_CP  1.0  1.0
SPEED_ORI  50  0
PTP AGV_4
CIRC AGV_6 AGV_5
LIN AGV_7
SPEED_CP_END 0
ZONE             0.0000
CIRC AGV_1 AGV_8
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!robot 1 picks the weldgun
!-------------------------------
fct rob_1_pick_wg()
ERC CURRENT_DEVICE SET DB500
TOOL             0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
ZONE             0.0000
PTP WGP_A_1
LIN WGP_A_2
ERC GRAB ROBOT RESPOT_A
LIN WGP_A_1
TOOL             0.4122    -0.1217     0.4804     0.0000     0.0000     0.0000
!TOOL DEVICE RESPOT_A 
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!robot 2 picks the weldgun
!-------------------------------
fct rob_2_pick_wg()
ERC CURRENT_DEVICE SET DB500#2
TOOL             0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
ZONE             0.0000
PTP WGP_B_1
LIN WGP_B_2
ERC GRAB ROBOT RESPOT_B
LIN WGP_B_1
TOOL             0.4122    -0.1217     0.4804     0.0000     0.0000     0.0000
!TOOL DEVICE RESPOT_B
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!weld with robot 1 
!-------------------------------
fct do_weld_1()
ERC CURRENT_DEVICE SET RESPOT_A
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
PTP_AX          0.0000
ERC RENDER ROBOT SPARK_1  FLAT
WAIT             1.5000
ERC RENDER ROBOT SPARK_1  INVISIBLE
PTP_AX          5.0000
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!robot 1 drops the weldgun
!-------------------------------
fct rob_1_drop_wg()
ERC CURRENT_DEVICE SET DB500
TOOL             0.0000    0.0000     0.0000     0.0000     0.0000     0.0000
PTP WGP_A_1
LIN WGP_A_2
ERC RELEASE ROBOT RESPOT_A
LIN WGP_A_1
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!weld with robot 2 
!-------------------------------
fct do_weld_2()
ERC CURRENT_DEVICE SET RESPOT_B
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
PTP_AX          0.0000
ERC RENDER ROBOT SPARK_1  FLAT
WAIT             1.5000
ERC RENDER ROBOT SPARK_1  INVISIBLE
PTP_AX          5.0000
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!robot 2 drops the weldgun
!-------------------------------
fct rob_2_drop_wg()
ERC CURRENT_DEVICE SET DB500#2
TOOL             0.0000    0.0000     0.0000     0.0000     0.0000     0.0000
PTP WGP_B_1
LIN WGP_B_2
ERC RELEASE ROBOT RESPOT_B
LIN WGP_B_1
ERC CURRENT_DEVICE UNSET
endfct


! END PRGFILE  1485245440
